---
title: "Edit an invite link"
locale: en
url: https://tlg.builera.app/en/docs/reference/rest/groups.edit_link
verified: 2026-10-24
app_version: "2.0"
generated: true
---

# Edit an invite link

Change an invite link: name, 'request to join', expiry (days; null = never), usage limit (null = none).

Change an invite link: name, 'request to join', expiry (days; null = never), usage limit (null = none).

## Overview

| Name | Value |
| --- | --- |
| Code | `groups.edit_link` |
| Scope needed | `groups.admin` |
| Risk | Write |
| May need confirmation | No |
| Runs as | Queues work for a node |
| Needs `Idempotency-Key` | Yes |
| Member roles allowed | `owner`, `manager`, `agent` |
| Needs a worker from version | `1.0.37` |
| In the app | Inbox → group info → Manage |

## Input fields

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `conversationId` | `uuid` | Yes |   |
| `link` | `uri` | Yes |   |
| `title` | `text` | No |   |
| `requestNeeded` | `true/false` | No |   |
| `expireDays` | `integer` | No |   |
| `usageLimit` | `integer` | No |   |

## Example request

```bash
curl -X POST https://tlg.builera.app/api/public/v2/ops/groups.edit_link \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: <unique key per operation>" \
  -d '{"conversationId":"00000000-0000-0000-0000-000000000000","link":"…"}'
```

## Output fields (`data`)

| Field | Type | Required |
| --- | --- | --- |
| `ok` | `true` | Yes |
| `jobId` | `text` | Yes |

## Example answer

```json
{
  "data": {
    "ok": true,
    "jobId": "00000000-0000-4000-8000-000000000000"
  }
}
```

## Using it over MCP

Not listed on any profile: call `tools_describe` then `tools_run` with `code: "groups.edit_link"`. Tool name when listed: `groups_edit_link`.
